Name:		logcheck
Summary:	Psionic LogCheck
Version:	1.2.45
%define subrel 1
Release:	%mkrel 5
License:	GPL
Group:		Monitoring
URL:		http://logcheck.org/
Source:		http://alioth.debian.org/frs/download.php/1677/%{name}_%{version}.tar.gz
Patch:      logcheck-1.2.45-fix-runparts-use.patch
BuildRequires: docbook-to-man
Requires:   lockfile-progs
Requires:   nail
Requires:   sendmail-command
BuildRoot:	%_tmppath/%name-%version

%description
Logcheck is a software package that is designed to automatically run and check 
system log files for security violations and unusual activity.  Logcheck 
utilizes a program called logtail that remembers the last position it read 
from in a log file and uses this position on subsequent runs to process new 
information.  All source code is available for review and the implementation 
was kept simple to avoid problems.  This package is a clone of the 
frequentcheck.sh script from the Trusted Information Systems Gauntlet(tm) 
firewall package.  TIS has granted permission for me to clone this package.

%prep
%setup -q
%patch -p 1

%build
cd docs
docbook-to-man logcheck.sgml > logcheck.8

%install
%makeinstall_std

install -d %buildroot%_mandir/man8
install -m 644 docs/*.8 %buildroot%_mandir/man8

install -d %buildroot/%_sysconfdir/cron.d
cat > %buildroot/%_sysconfdir/cron.d/logcheck <<EOF
2 * * * * logcheck %{_sbindir}/logcheck
EOF

%clean
rm -fr %buildroot

%pre
%_pre_useradd logcheck /var/lib/logcheck /bin/false

%postun
%_postun_userdel logcheck

%files
%defattr(-,root,root)
%doc AUTHORS CHANGES CREDITS INSTALL LICENSE TODO docs/README.*
%config(noreplace) %_sysconfdir/cron.d/logcheck
%config(noreplace) %attr(-,root,logcheck) %_sysconfdir/logcheck
%_sbindir/logcheck
%_sbindir/logtail
%_mandir/man8/logcheck.8*
%_mandir/man8/logtail.8*
%attr(-,logcheck,logcheck) %dir %{_localstatedir}/lock/%name
%attr(0700,logcheck,logcheck) %dir %{_localstatedir}/lib/%name


%changelog
* Thu Jun 18 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.45-5.1mdv2009.1
- rebuilt for updates

* Mon Jun 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.45-5mdv2009.1
+ Revision: 386126
- fix configuration directory ownership
- our run-parts is too old, don't use --list option

* Thu Feb 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.45-4mdv2009.1
+ Revision: 342996
- rebuild with a fixed docbook-to-man package
- change cron task to run as logcheck user

* Sun Feb 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.45-3mdv2009.1
+ Revision: 340602
- ship missing documentation files

* Fri Feb 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.45-2mdv2009.1
+ Revision: 340170
- fix dependencies
- create logcheck user
- create lock directory
- ensure cron task is executable (mdv bug #47427)

* Sun Jan 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.45-1mdv2009.1
+ Revision: 333545
- sync with upstream project
- drom all patches
- spec cleanup

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.1-14mdv2009.0
+ Revision: 223122
- rebuild

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 27 2007 Emmanuel Andry <eandry@mandriva.org> 1.1.1-13mdv2008.1
+ Revision: 138662
- fix patch1 (bug #36378)

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 12mdv2008.1-current
+ Revision: 129436
- kill re-definition of %%buildroot on Pixel's request
- s/Mandrake/Mandriva/


* Sun Jan 28 2007 Olivier Thauvin <nanardon@mandriva.org> 1.1.1-12mdv2007.0
+ Revision: 114620
- mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.1.1-11mdk
- Rebuild

* Wed Mar 09 2005 Nicolas Lcureuil <neoclust@mandrake.org> 1.1.1-10mdk
- security fix for CAN-2004-0404

